import {Component, h, Host, Prop} from '@stencil/core';

@Component({
  tag: 'hy-site-logo',
  styleUrl: 'site-logo.scss',
  shadow: true
})
export class SiteLogo {
  @Prop() label?: string;
  @Prop() url?: string;
  @Prop() menuType?: string;
  @Prop() menuIsExpanded: boolean = false;
  @Prop() color?: string = 'white';

  render() {
    const black = 'var(--brand-main-nearly-black)';
    let isMobile = this.menuType === 'mobile';
    let classAttributes = [
      'hy-site-logo',
      `hy-site-logo--${this.menuType}`,
      `hy-site-logo--${this.color}`,
      this.menuIsExpanded ? 'hy-site-logo--expanded' : null
    ];

    return this.url ? (
      <Host class={classAttributes.join(' ')}>
        <a href={this.url}>
          <hy-icon icon={'hy-icon-hy-logo'} size={isMobile ? 32 : 64} fill={isMobile ? this.color : black} />
          <span class={'hy-site-logo__label'} style={{color: isMobile ? this.color : black}}>
            {this.label}
          </span>
        </a>
      </Host>
    ) : (
      <Host class={classAttributes.join(' ')}>
        <hy-icon icon={'hy-icon-hy-logo'} size={isMobile ? 32 : 64} fill={isMobile ? this.color : black} />
        <span class={'hy-site-logo__label'} style={{color: isMobile ? this.color : black}}>
          {this.label}
        </span>
      </Host>
    );
  }
}
